- Cal3D 0.11 API Reference -

Public Member Functions | Protected Member Functions | List of all members
CalCoreMesh Class Reference
Inheritance diagram for CalCoreMesh:

## Public Member Functions

| CalCoreMesh ()
| Constructs the core mesh instance.
int | addCoreSubmesh (CalCoreSubmesh *pCoreSubmesh)
| Adds a core submesh.
CalCoreSubmesh * | getCoreSubmesh (int id)
| Provides access to a core submesh.
int | getCoreSubmeshCount ()
| Returns the number of core submeshes.
std::vector< CalCoreSubmesh * > & | getVectorCoreSubmesh ()
| Returns the core submesh vector.
int | addAsMorphTarget (CalCoreMesh *pCoreMesh)
| Adds a core submesh.
void | scale (float factor)
| Scale the Mesh.
void | setFilename (const std::string &filename)
| Set the name of the file in which the core mesh is stored, if any.
const std::string & | getFilename (void)
| Get the name of the file in which the core mesh is stored, if any.
void | setName (const std::string &name)
| Set the symbolic name of the core mesh.
const std::string & | getName (void)
| Get the symbolic name the core mesh.
Public Member Functions inherited from cal3d::RefCounted
int | getRefCount () const

## Protected Member Functions

| ~CalCoreMesh ()
| Destructs the core mesh instance.
Protected Member Functions inherited from cal3d::RefCounted
virtual | ~RefCounted ()
| Protected so users of refcounted classes don't use std::auto_ptr or the delete operator.

## Constructor & Destructor Documentation

## ◆ ~CalCoreMesh()

CalCoreMesh::~CalCoreMesh | ( |  | ) |

protected

Destructs the core mesh instance.

This function is the destructor of the core mesh instance.

## ◆ CalCoreMesh()

CalCoreMesh::CalCoreMesh | ( |  | ) |

Constructs the core mesh instance.

This function is the default constructor of the core mesh instance.

## Member Function Documentation

## ◆ addAsMorphTarget()

int CalCoreMesh::addAsMorphTarget | ( | CalCoreMesh * | pCoreMesh | ) |

Adds a core submesh.

This function adds a core mesh as a blend target. It adds appropriate CalCoreSubMorphTargets to each of the core sub meshes.

Parameters

  pCoreMesh | A pointer to the core mesh that shoulb become a blend target.

Returns
  One of the following values:
  - the assigned morph target ID of the added blend target
  - -1 if an error happend

## ◆ addCoreSubmesh()

int CalCoreMesh::addCoreSubmesh | ( | CalCoreSubmesh * | pCoreSubmesh | ) |

Adds a core submesh.

This function adds a core submesh to the core mesh instance.

Parameters

  pCoreSubmesh | A pointer to the core submesh that should be added.

Returns
  One of the following values:
  - the assigned submesh ID of the added core submesh
  - -1 if an error happend

## ◆ getCoreSubmesh()

CalCoreSubmesh * CalCoreMesh::getCoreSubmesh | ( | int | id | ) |

Provides access to a core submesh.

This function returns the core submesh with the given ID.

Parameters

  id | The ID of the core submesh that should be returned.

Returns
  One of the following values:
  - a pointer to the core submesh
  - 0 if an error happend

## ◆ getCoreSubmeshCount()

int CalCoreMesh::getCoreSubmeshCount | ( |  | ) |

Returns the number of core submeshes.

This function returns the number of core submeshes in the core mesh instance.

Returns
  The number of core submeshes.

## ◆ getFilename()

const std::string & CalCoreMesh::getFilename | ( | void |  | ) |

Get the name of the file in which the core mesh is stored, if any.

Returns
  One of the following values:
  - empty string if the mesh was not stored in a file
  - the path of the file

## ◆ getName()

const std::string & CalCoreMesh::getName | ( | void |  | ) |

Get the symbolic name the core mesh.

Returns
  One of the following values:
  - empty string if the mesh was no associated to a symbolic name
  - the symbolic name

## ◆ getVectorCoreSubmesh()

std::vector< CalCoreSubmesh * > & CalCoreMesh::getVectorCoreSubmesh | ( |  | ) |

Returns the core submesh vector.

This function returns the vector that contains all core submeshes of the core mesh instance.

Returns
  A reference to the core submesh vector.

## ◆ scale()

void CalCoreMesh::scale | ( | float | factor | ) |

Scale the Mesh.

This function rescale all the data that are in the core mesh instance.

Parameters

  factor | A float with the scale factor

## ◆ setFilename()

void CalCoreMesh::setFilename | ( | const std::string & | filename | ) |

Set the name of the file in which the core mesh is stored, if any.

Parameters

  filename | The path of the file.

## ◆ setName()

void CalCoreMesh::setName | ( | const std::string & | name | ) |

Set the symbolic name of the core mesh.

Parameters

  name | A symbolic name.

The documentation for this class was generated from the following files:

- coremesh.h
- coremesh.cpp

Generated by The Cal3D Team with Doxygen 1.15.0